PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PSNMP_VarBindList Class Reference

`#include <snmp.h>`

Inherits PASN_Array.

## Public Member Functions
| PSNMP_VarBindList (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PASN_Object * | CreateObject () const
PSNMP_VarBind & | operator[] (PINDEX i) const
PObject * | Clone () const

## Constructor & Destructor Documentation

PSNMP_VarBindList::PSNMP_VarBindList | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass`
| ) |  |

## Member Function Documentation

PObject* PSNMP_VarBindList::Clone | ( |  | ) | const

PASN_Object* PSNMP_VarBindList::CreateObject | ( |  | ) | const

PSNMP_VarBind& PSNMP_VarBindList::operator[] | ( | PINDEX | i | ) | const

The documentation for this class was generated from the following file:

- snmp.h